clang 8.0.0

Functions
clang::ento::coreFoundation Namespace Reference

## Functions
bool | isCFObjectRef (QualType T)
bool | followsCreateRule (const FunctionDecl *FD)

## Function Documentation

## ◆ followsCreateRule()

bool clang::ento::coreFoundation::followsCreateRule | ( | const FunctionDecl * | FD | ) |

Definition at line 98 of file CocoaConventions.cpp.

References clang::NamedDecl::getIdentifier(), clang::IdentifierInfo::getName(), clang::isLetter(), and clang::isLowercase().

## ◆ isCFObjectRef()

bool clang::ento::coreFoundation::isCFObjectRef | ( | QualType | T | ) |

Definition at line 58 of file CocoaConventions.cpp.

References isDiskArbitrationAPIRefType(), and clang::ento::cocoa::isRefType().

Referenced by AuditedType(), clang::ento::retaincountchecker::RetainCountChecker::checkPostStmt(), isOSObjectRelated(), and TypeIsInnerPointer().